<template>
    <div>
        <table>
            <tbody>
                <tr>
                    <th>아이디</th>
                    <td>{{sample.userId}}</td>
                </tr>
                <tr>
                    <th>제목</th>
                    <td>{{sample.title}}</td>
                </tr>
                <tr>
                    <th>내용</th>
                    <td>{{sample.content}}</td>
                </tr>
            </tbody>
        </table>

        <button @click="remove">삭제</button>
        <router-link :to="`/samples/modify/${sample.id}`">
            <button>수정</button>
        </router-link>
        <router-link to="/samples/list">
            <button>목록</button>
        </router-link>
    </div>
</template>

<script lang="ts">
    import {Vue}         from 'vue-property-decorator';
    import {Watch}       from 'vue-property-decorator';
    import {Component}   from 'vue-property-decorator';
    import {Sample}      from '@/io/niceday/sample/model/Sample';
    import {SampleStore} from '@/io/niceday/sample/store/SampleStore'; 
    
    @Component
    export default class SampleView extends Vue {

        private store  = SampleStore.getInstance();
        private sample = new Sample.Response.FindOne;

        private created() {
            this.store.actions.get(this.$route.params.id);
        } 

        private remove() : void {  
            this.store.actions.remove(this.$route.params.id);
        }

        @Watch('store.state.sample')
        private setSample() : void {
            this.sample = this.store.getters.get();
        }
    }
</script>